<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
//				Triggers
// +-----------------------------------------------------------------------+
if ($conf['ContestResults']['menubar_mode']['block']) {
	add_event_handler('blockmanager_register_blocks', 'CR_register_menubar_blocks');
}
add_event_handler('blockmanager_apply', 'CR_menubar_apply');

// +-----------------------------------------------------------------------+
//				Ajouter un block
// +-----------------------------------------------------------------------+
function CR_register_menubar_blocks($menu_ref_arr) {
	$menu = &$menu_ref_arr[0];
	if ($menu->get_id() != 'menubar') { return; }
	$menu->register_block(new RegisteredBlock('mbContestResults', l10n('Contests'), 'ContestResults'));
}

// +-----------------------------------------------------------------------+
//				Remplis les block
// +-----------------------------------------------------------------------+
function CR_menubar_apply($menu_ref_arr) {
	global $template, $conf;
	$menu = &$menu_ref_arr[0];
	
	if (is_string($conf['ContestResults'])) {
		$conf['ContestResults'] = unserialize($conf['ContestResults']);
	}
	
	// Block Contest - un nouveau bloc dans le menu
	if (($block = $menu->get_block('mbContestResults')) != null) {
		$data = array();
		
		// on récupère les concours
		$contests = pwg_query("SELECT
				id, 
				name, 
				visible, 
				date_begin, 
				date_end 
			FROM " . CR_TABLE_1 . " 
			ORDER BY date_begin DESC;");

		$m = 0; // compteur pour limiter le nombre de concours affichés
		while ($contest = pwg_db_fetch_assoc($contests)) {
			$contest = array_merge($contest, get_contest_status($contest['date_begin'],$contest['date_end']));
			
			if (($contest['visible'] OR is_admin()) AND $m < $conf['ContestResults']['menubar_block']['number']) {
				array_push($data, array(
					'URL' => CR_PUBLIC . $contest['id'] . '-' . str2url(trigger_event('render_category_name', $contest['name'])),
					'LABEL' => trigger_event('render_category_name', $contest['name']),
					'DATE' => format_date($contest['date_begin']) . ' - ' . format_date($contest['date_end']),
					'VISIBLE' => $contest['visible'],
					'STATUS' => $contest['status'],
					'DAYS' => $conf['ContestResults']['menubar_block']['display_days'] ? $contest['days'] : null,
				));
			}
			$m++;
		}

		// Finalement on rempli le bloc avec les concours
		if (!empty($data)) {
			$template->set_template_dir(CR_PATH . 'template/');
			$block->set_title('<a href="' . CR_PUBLIC . '">' . l10n('Contests') . '</a>');
			$block->template = 'cr_menubar.tpl';
			$block->data = $data;
		}
	}
	
	// Block Menu - ajout d'un lien dans le bloc Menu
	if ($conf['ContestResults']['menubar_mode']['link'] AND $conf['ContestResults']['menubar_link']['menu'] AND ($block = $menu->get_block('mbMenu')) != null) {
		array_push($block->data, array(
			'URL' => CR_PUBLIC,
			'TITLE' => l10n('Contests'),
			'NAME' => l10n('Contests')
		));
	}
	
	// Block Specials - ajout d'un lien dans le bloc Specials
	if($conf['ContestResults']['menubar_mode']['link'] AND $conf['ContestResults']['menubar_link']['specials'] AND ($block = $menu->get_block('mbSpecials')) != null){
		array_push($block->data, array(
			'URL' => CR_PUBLIC,
			'TITLE' => l10n('Contests'),
			'NAME' => l10n('Contests')
		));
	}
}
?>