<?php
/*
Plugin Name: ContestResults
Version: 1.3.b
Description: Add contests management pages
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=439
Author: Mistic
Author URI: http://www.strangeplanet.fr
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $conf, $pwg_loaded_plugins;

// +-----------------------------------------------------------------------+
//				Variables globales CR
// +-----------------------------------------------------------------------+
define('CR_NAME' , 'Contest Results');
define('CR_VERSION', '1.3.b');
define('CR_DIR' , basename(dirname(__FILE__)));
define('CR_PATH' , PHPWG_PLUGINS_PATH . CR_DIR . '/');
define('CR_TABLE_1' , $prefixeTable . 'contests');
define('CR_TABLE_2' , $prefixeTable . 'contests_results');
define('CR_ADMIN', get_root_url().'admin.php?page=plugin-' . CR_DIR);
define('CR_PUBLIC', make_index_url(array('section' => 'contests')) . '/');


// +-----------------------------------------------------------------------+
//					Triggers
// +-----------------------------------------------------------------------+
add_event_handler('loading_lang', 'CR_load_lang'); 						// Chargement des fichiers de langue
add_event_handler('get_admin_plugin_menu_links', 'CR_admin_menu'); 		// Lien d'administration
add_event_handler('loc_end_section_init', 'CR_section_init'); 			// Paramètre URL
add_event_handler('loc_end_index', 'CR_index'); 						// Contenu du la page
add_event_handler('loc_end_picture', 'CR_comment_picture', 10); 		// Commentaire sur la page image
add_event_handler('get_stuffs_modules', 'CR_register_stuffs_module');	// Ajoute un module pour PWG Stuffs


// +-----------------------------------------------------------------------+
//					Fonctions
// +-----------------------------------------------------------------------+
include(CR_PATH . 'include/functions.php');
$conf['ContestResults'] = unserialize($conf['ContestResults']);

// Gestion du menu
if (script_basename() != 'admin') {
	include(CR_PATH . 'include/cr_menubar.php');
}

// Chargement des fichiers de langue et de la config
function CR_load_lang() {
	load_language('plugin.lang', CR_PATH);
}

// Lien d'administration
function CR_admin_menu($menu) {
	array_push($menu, array(
		'NAME' => CR_NAME,
		'URL' => CR_ADMIN
	));
	return $menu;
}

// Paramètre URL
function CR_section_init() {
    global $tokens, $page, $conf;
	
    if ($tokens[0] == 'contests') { // on est dans la section concours
		$page['section'] = 'contests';
		$page['title'] = l10n('Contests');
		
		if (isset($tokens[1]) AND !empty($tokens[1])) { // on est sur la page d'un concours
			$tokens[1] = explode('-', $tokens[1]);
			
			if (preg_match('#^([0-9]*)$#', $tokens[1][0])) { // is_int ne marche pas parce que le chiffre est stocké en (string)
				$page['contest'] = $tokens[1][0];
				
				if ($contest_name = get_contest_name($page['contest'])) { // vérifie si le concours existe
					$page['title'] .= $conf['level_separator'] . trigger_event('render_category_name', $contest_name);
				} else {
					page_not_found(l10n('CR_notavailable'));
				}
			}
		}
	}
}

// Contenu de la page
function CR_index() {
    global $template, $page, $conf;

    if (isset($page['section']) and $page['section'] == 'contests') {
		if (isset($page['contest'])) { // on est sur la page d'un concours
			include(CR_PATH . 'include/cr_page.php');
		} else { // on est dans la section concours
			include(CR_PATH . 'include/cr_main.php');
		}
	}
}

// Ajoute un module pour PWG Stuffs
function CR_register_stuffs_module($modules) {
	array_push($modules, array(
		'path' => CR_PATH . '/stuffs_module',
		'name' => CR_NAME,
		'description' => l10n('CR_stuffs_desc'),
	));

	return $modules;
}

// Ajoute le commentaire sur la page image
function CR_comment_picture() {
	global $page, $template, $conf;
	include(CR_PATH . 'include/cr_comment_picture.php');  
}

?>